/**
 * Licensed Materials - Property of IBM
 * IBM Cognos Products: BI Glass
 * Copyright IBM Corp. 2017
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define([], function() {
	'use strict';

	var SampleAction = function(){
		
		/**
		 * Called by the AppController whenever this view is created
		 *
		 * @public
		 * @returns {Promise} promise resolved to the root DOM element for this view.
		 */
		this.isVisible = function(context, target) {
			return true;
		},
		
		/**
		 * Called by the AppController whenever this view is destroyed
		 *
		 * @public
		 */
		this.execute = function(context, target) {
			window.open(target.options.url);
		}
		
		

	};

	return SampleAction;

});
